Bug 60390 - (SCSI NCR53C8XX)Installer hangs when loading ncr53c8xx module
(SCSI NCR53C8XX)Installer hangs when loading ncr53c8xx module
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 04:26 EST by Johannes Braams
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Braams 2002-02-27 04:26:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
When I try to install RH 7.2 on my running RH 5.2 system I see the installer 
load the ncr53c8xx driver. Switchin with <ctrl><alt><f4> to another console I 
see it enters a loop of time-outs and resetting the SCSi bus. I reported this 
to the support team and after a few e-mail exchanges Franklin Abud suggested to 
post this as a possible bug.
When I went back to the 5.2 installer I get to choose between the ncr53c7xx and 
ncr53c8xx driver. The first works and gets the installation under way, the 
second one doesn't with similar errors in the 4th console.
The RH7.2 installer no longer offers the option of the ncr53c7xx driver. How 
can I perform the installation?
This problem is being discussed in service request 201263 with Franklin Abud 
the responsible tech.
I included the output of dmesg from a succesfull Rh 5.2 boot in that request.
Franklin suggested to download update-disk-20020117. I did, booted with boot: 
update expert noprobe
but was never asked to load that disk by the installer.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.put install floppy in drive
2.reboot computer
3.boot: expert noprobe
4.enter driver disk when asked
5.answer questions about language, keyboard, install media (SCSI cdrom)
	

Actual Results:  Installer tries to load ncr53c8xx with the described results

Expected Results:  I expected that the installer would succesfully load a SCSI 
driver for my ASUS PCI SCSI-200 SCSI controller (as the system already runs 
RedHat Linux and has done so very stable for a couple of years) and would 
perform the installation of RH 7.2

Additional info:

After I chose the SCSI driver I switch with to the 4th console.
The start of the scsi messages goes as follows:
at PCI bus 0, device 12, function 0
<6> ncr53c8xx : 53c810a detected
<6> ncr53c8xx-0 : rev 0x11 on pci bus 0 device 12 function 0 irq 9
<6> ncr53c8xx-0 : ID 7, Fast-10, Parity Checking
<6> scsi0 : ncr53c8xx-3.4.3b-20010512
<4> Vendor SEAGATE Model ST34520 REV 1498
<4> Type : Direct Access		     ANSI SCSI revision 02
<6> ncr53c8xx-0-<1,0> : phase change 6-2 1@05d34dc resid=1
<6> ncr53c8xx-0-<1,0> : phase change 2-3 6@05cd3488 resid=5
<6> ncr53c8xx-0 : SCSI parity error detected SCR1=1 DBC=b0000000 STAT1=b
That's all I could catch off the screen and write down...
After this the process goes into a loop of time-outs, parity errors and 
resetting the SCSI bus.
Comment 1 Jeremy Katz 2002-02-27 10:47:52 EST
I don't see a ncr53c7xx driver in the kernel tree any more... Arjan?
Comment 2 Arjan van de Ven 2002-02-27 11:10:05 EST
we have 2 drivers for this hardware
ncr53c8xx
and
sym53c8xx

does "noprobe" allow you to pick the other ?
Comment 3 Johannes Braams 2002-02-27 11:58:12 EST
Hi Arjan,

No, I used noprobe, but it only shows one driver for both symbios and ncr.
Note that in RH 5.2 the source file for the driver is just called ncr53c8xx.c;
the 5.2 installer offers me the option to choose between ncr53c7xx and 
ncr53c8xx.
I'm a bit at a loss what to do.
Comment 4 Johannes Braams 2002-02-28 18:31:30 EST
Hi,

I have obtained a RH 6.0 installation disk and it too appears to offer the
choice between a working ncr53c7xx driver and ncr53c8xx which doesn't work for
me...

Johannes
Comment 5 Johannes Braams 2002-03-11 03:47:57 EST
Hi,

I haven't seen any activity on this problem for some time. What's happened?
I still can't install RH 7.2 and I would very much like to... :-(

Johannes
Comment 6 Johannes Braams 2002-03-18 18:07:47 EST
Hi,
Today Itried adding the driver that works (53c7,8xx.o) to the driver disk.
It did show up in the list of drivers to choose from (I added the object to
modules.cgz; and edited
modinfo and modules.dep to reflect it) but the module was built for RH6. When
the installer tried to 
load it it looked for the string 2.4.7-10*/53c7 (or something similar,
containing the kernel version number). The load failed with a cpio error. I
thought I had a solution, but failed.
Johannes
Comment 7 Bugzilla owner 2004-09-30 11:39:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.